import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import descriptor.*;

public class Main {
    public static void main(String[] args){
        Main main = new Main();
        List list = main.createAttributeDescriptors();
        Iterator it = list.iterator();
        while(it.hasNext()){
        	System.out.println("class name is : " + it.next().getClass().getName());
        }
    }

    public List createAttributeDescriptors(){
        List result = new ArrayList();

        result.add(new DefaultDescriptor("remoteId", getClass(), Integer.TYPE));
        result.add(new DefaultDescriptor("createDate", getClass(), Date.class));
        result.add(new DefaultDescriptor("lastChangeDate", getClass(), Date.class));
        result.add(new ReferenceDescriptor("createdBy", getClass(), User.class, RemoteUser.class));
        result.add(new ReferenceDescriptor("lastChangedBy", getClass(), User.class, RemoteUser.class));
        result.add(new DefaultDescriptor("optimisticLockVersion", getClass(), Integer.TYPE));

        return result;
    }
}

class Integer {
    public static int TYPE = 0;
}

class Date {
}

class User {
}

class RemoteUser {
}

